import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class Plaf extends JFrame 
{  
    MyPanel panel = new MyPanel();
   
    class MyPanel extends JPanel implements ActionListener
    {
	
	JButton metal = new JButton("Metal");
	JButton motif = new JButton("Motif");
	JButton windows =  new JButton("Windows");
		

	MyPanel()
	{
	    metal.addActionListener(this);
	    motif.addActionListener(this);
	    windows.addActionListener(this);
	    
	    add(metal);
	    add(motif);
	    add(windows);
	}

	public void actionPerformed(ActionEvent evt)
	{  
	    Object source = evt.getSource();
	    String plaf = "";
	    if (source == metal)
		plaf = "javax.swing.plaf.metal.MetalLookAndFeel";
	    else if (source == motif)
		plaf = "com.sun.java.swing.plaf.motif.MotifLookAndFeel";
	    else if (source == windows)
		plaf = "com.sun.java.swing.plaf.windows.WindowsLookAndFeel";
	    try
	    {
		UIManager.setLookAndFeel(plaf);
		SwingUtilities.updateComponentTreeUI(this);
	    }
	    catch(Exception e) { System.out.println("plaf not found"); }
	}
    }

    public Plaf()
    {  
	setTitle("Plaf");
	Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
	setSize(d.width/2,d.height/2);
	setLocation(d.width/4,d.height/4);
	//setDefaultCloseOperation(EXIT_ON_CLOSE);
	addWindowListener(new WindowAdapter() 
	    {
		public void windowClosing(WindowEvent e) 
		{ 
		    System.exit(0); 
		}
	    });

	getContentPane().add(panel);
	
	setVisible(true);
    }


    public static void main(String[] args) { new Plaf(); }
}
