import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestCheckBox extends JFrame
{
   MyPanel panel = new MyPanel();
   
   class MyPanel extends JPanel
   {
      CheckPanel checkPanel = new CheckPanel();
      JLabel picture = new JLabel(new ImageIcon("images/geek/geek-----.gif"));
      
      class CheckPanel extends JPanel 
      {
	 JCheckBox chin = new JCheckBox("Chin");
	 JCheckBox glasses = new JCheckBox("Glasses");
	 JCheckBox hair = new JCheckBox("Hair");
	 JCheckBox teeth = new JCheckBox("Teeth");
	 
	 CheckListener myListener = new CheckListener();
	 
	 CheckPanel()
	 {
	    chin.addItemListener(myListener);
	    glasses.addItemListener(myListener);
	    hair.addItemListener(myListener);
	    teeth.addItemListener(myListener);

	    setLayout(new GridLayout(0, 1));
	    add(chin);
	    add(glasses);
	    add(hair);
	    add(teeth);
	 }
	 
	 
	 class CheckListener implements ItemListener
	 {
	    StringBuffer choices = new StringBuffer("----"); //"cght");
	    
	    public void itemStateChanged(ItemEvent e) 
	    {
	       choices.setCharAt(0, chin.isSelected() ? 'c' : '-');
	       choices.setCharAt(1, glasses.isSelected() ? 'g' : '-');
	       choices.setCharAt(2, hair.isSelected() ? 'h' : '-');
	       choices.setCharAt(3, teeth.isSelected() ? 't' : '-');
	       picture.setIcon(new ImageIcon("images/geek/geek-" + choices.toString() + ".gif"));
	       picture.setToolTipText(choices.toString());
	    }
	 }
      }
      
      MyPanel()
      {
	 setLayout(new BorderLayout());
	 add(checkPanel, BorderLayout.WEST);
	 add(picture, BorderLayout.CENTER);
	 setBorder(BorderFactory.createEmptyBorder(20,20,20,20));
      }
   }

   public TestCheckBox()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Check box");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      pack();
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestCheckBox(); }
}
