import java.awt.*;
import java.awt.event.*;
import javax.swing.*;



class TestComboBox extends JFrame
{
   MyPanel panel = new MyPanel();
   
   class MyPanel extends JPanel
   {
      String prefix = "images/animals/";
      String[] petStrings = { "Bird", "Cat", "Dog", "Rabbit", "Pig" };

      JComboBox petList = new JComboBox(petStrings);
      JLabel picture = new JLabel("",JLabel.CENTER);

      MyPanel()
      {
	 petList.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed(ActionEvent e) 
	       {
		  String petName = (String)petList.getSelectedItem();
		  picture.setIcon(new ImageIcon(prefix + petName + ".gif"));
	       }
	    });
	 petList.setSelectedIndex(4);
	 
	 picture.setPreferredSize(new Dimension(200, 150));

	 setLayout(new BorderLayout());
	 add(petList, BorderLayout.NORTH);
	 add(picture, BorderLayout.SOUTH);
	 setBorder(BorderFactory.createEmptyBorder(20,20,20,20));
      }
   }

   public TestComboBox()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test combo");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      pack();
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestComboBox(); }
}

