import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class TestFocus extends JFrame
{  
   JPanel content = new MyPanel();
   

   class MyPanel extends JPanel
   {
      FocusListener listener = new MyFocusListener();

      Panel1 panel1 = new Panel1();
      Panel2 panel2 = new Panel2();
       
      class MyFocusListener implements FocusListener
      {  
	 public void focusGained(FocusEvent e) { panel2.status1.setText(e.getSource().getClass().getName()); }
	 public void focusLost(FocusEvent e) { panel2.status2.setText(e.getSource().getClass().getName()); }
      }      
	 

      class Panel1 extends JPanel
      {
	 JLabel label = new JLabel("my label");
	 JTextField field = new JTextField("my text-field");
	 JButton button = new JButton("my button");
	 
	 Panel1()
	 {
	    label.addFocusListener(listener);
	    field.addFocusListener(listener);
	    button.addFocusListener(listener);
	    addFocusListener(listener);
	    add(label);
	    add(field);
	    add(button);
	 }

	 public boolean isFocusTraversable() { return true; }
      } 

      class Panel2 extends JPanel
      {
	 JLabel status1 = new JLabel();
	 JLabel status2 = new JLabel();
      
	 Panel2()
	 {
	    setLayout(new GridLayout(2,2,10,10));
	    add(new JLabel("focus gained : "));
	    add(status1);
	    add(new JLabel("focus lost   : "));
	    add(status2);
	 }
      }

      // public boolean isFocusTraversable() { return true; }

      MyPanel()
      {
	 addFocusListener(listener);
	 setLayout(new BorderLayout());
	 add(panel1,BorderLayout.CENTER);
	 add(panel2,BorderLayout.SOUTH);
      }
   }


   TestFocus()
    {  
	setTitle("test Focus");
	Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
	setSize(d.width/2,d.height/2);
	setLocation(d.width/4,d.height/4);
	setDefaultCloseOperation(EXIT_ON_CLOSE);
	setContentPane(content);
	setVisible(true);
    }


    public static void main(String[] args) { new TestFocus(); }
}
