import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

	
class TestKeyEvent1 extends JFrame
{
   JPanel content = new MyPanel();


   class MyPanel extends JPanel 
   {
      boolean started;
    
      Hero hero = new Hero(Color.red,20,20);

      final int UP = 0;
      final int DOWN = 1;
      final int RIGHT = 2;
      final int LEFT = 3;

      class Hero
      {
	 int x=50, y=50;
	 int width, height;
	 int gap=5;
	 Color color;
	 
	 Graphics g;

	 Hero(Color c, int w, int h)
	 {
	    color=c; width=w; height=h;
	 }

	 void draw()
	 {
	    if (g == null) g = content.getGraphics();
	    g.setColor(color);
	    g.fillOval(x,y,width,height);
	 }

	 void moveTo(int direction)
	 {
	    g.setColor(content.getBackground());
	    g.fillOval(x,y,width,height);
	    if (direction == UP) y-=gap;
	    else if (direction == DOWN) y+=gap;
	    else if (direction == RIGHT) x+=gap;
	    else if (direction == LEFT) x-=gap;
	    draw();
	 }
      }
   
      
      class MyKeyListener extends KeyAdapter
      {
	 public void keyTyped(KeyEvent e)
	 {
	    char c = (char)e.getKeyChar();
	    if (c == 's') started=!started;
	    if (started) hero.draw();
	 }
	 
	 public void keyPressed(KeyEvent e)
	 {
	    if (!started) return;
	    if (e.getKeyCode() == KeyEvent.VK_NUMPAD8 || e.getKeyCode() == KeyEvent.VK_UP) hero.moveTo(UP);
	    else if (e.getKeyCode() == KeyEvent.VK_NUMPAD2 || e.getKeyCode() == KeyEvent.VK_DOWN) hero.moveTo(DOWN);
	    else if (e.getKeyCode() == KeyEvent.VK_NUMPAD6 || e.getKeyCode() == KeyEvent.VK_RIGHT) hero.moveTo(RIGHT);
	    else if (e.getKeyCode() == KeyEvent.VK_NUMPAD4 || e.getKeyCode() == KeyEvent.VK_LEFT) hero.moveTo(LEFT);
	    else return;
	    hero.draw();
	 }
      }

 
      public boolean isFocusTraversable() { return true; }
      
      MyPanel()
      {
	 addKeyListener(new MyKeyListener());
      }
   }
   
     
   TestKeyEvent1()
   {  
      setTitle("test Key Event 1"); 
      setLocation(100,100);
      setSize(400,200);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(content);
      setVisible(true);
   }
   
   
   public static void main(String[] args) { new TestKeyEvent1(); }
}
 
