import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


class TestList extends JFrame 
{
   MyPanel panel = new MyPanel();
   
   class MyPanel extends JPanel
   {
      private String nomsCouleurs[] = { "Noir", "Bleu", "Cyan", "Gris fonc", "Gris", 
        "Vert", "Gris clair", "Magenta", "Orange", "Rose", "Rouge", "Blanc", "Jaune" };
      
      private JList listeCouleur = new JList( nomsCouleurs );
      private JList listeCopie = new JList();
      private JButton copier = new JButton( "Copier >>>" );
   
      public MyPanel()
      {
	 listeCouleur.setVisibleRowCount( 5 );
	 listeCouleur.setFixedCellHeight( 15 );
	 listeCouleur.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION );
	 
	 add(new JScrollPane(listeCouleur));

	 copier.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed( ActionEvent e )
	       {
		  listeCopie.setListData(listeCouleur.getSelectedValues());
	       }
	    });
	 add(copier);

	 listeCopie.setVisibleRowCount( 5 );
	 listeCopie.setFixedCellWidth( 100 );
	 listeCopie.setFixedCellHeight( 15 );
	 listeCopie.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION );
	 add(new JScrollPane(listeCopie));
      }
   }

   public TestList()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test list");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      pack();
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestList(); }
}
