import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class TestMenu1 extends JFrame
{  
   ActionListener actionListenerJaune = new ActionListenerJaune();
   ActionListener actionListenerRouge = new ActionListenerRouge();
   ActionListener actionListenerBleu = new ActionListenerBleu();

   String prefix = "images/billesCouleurs/";
   ImageIcon yellowBall = new ImageIcon(prefix + "yellowBall.gif");
   ImageIcon redBall = new ImageIcon(prefix + "redBall.gif");
   ImageIcon blueBall = new ImageIcon(prefix + "blueBall.gif");

   MyMenuBar menuBar = new MyMenuBar();
   MyPanel panel = new MyPanel();
   
 
   class MyMenuBar extends JMenuBar
   {
      JMenu couleur = new JMenu("Couleur");
      JMenu about = new JMenu("About");
      JMenuItem jaune = new JMenuItem("Jaune",yellowBall);
      JMenuItem rouge = new JMenuItem("Rouge",redBall);
      JMenuItem bleu = new JMenuItem("Bleu",blueBall);
      JMenuItem exit = new JMenuItem("Exit");
      
      MyMenuBar()
      {
	 jaune.addActionListener(actionListenerJaune);
	 rouge.addActionListener(actionListenerRouge);
	 bleu.addActionListener(actionListenerBleu);
	 exit.addActionListener(new ActionListener()
	    {
	       public void actionPerformed(ActionEvent e) 
	       { 
		  System.exit(0);
	       }
	    });
	 
	 couleur.add(jaune);
	 couleur.add(rouge);
	 couleur.add(bleu);
	 couleur.addSeparator();
	 couleur.add(exit);
	 add(couleur);	
	 add(about);
      }
   }
   
   
   class MyPanel extends JPanel
   {
      JButton jaune = new JButton("Jaune",yellowBall);
      JButton rouge = new JButton("Rouge",redBall);
      JButton bleu = new JButton("Bleu",blueBall);
      
      
      MyPanel()
      {
	 jaune.addActionListener(actionListenerJaune);
	 rouge.addActionListener(actionListenerRouge);
	 bleu.addActionListener(actionListenerBleu);
	 
	 add(jaune);
	 add(rouge);
	 add(bleu);
      }
   }

   class ActionListenerJaune implements ActionListener
   {
      public void actionPerformed(ActionEvent e) 
      { 
	 panel.setBackground(Color.yellow); 
      }
   }
   
   class ActionListenerRouge implements ActionListener
   {
      public void actionPerformed(ActionEvent e) 
      { 
	 panel.setBackground(Color.red); 
      }
   }
   
   class ActionListenerBleu implements ActionListener
   {
      public void actionPerformed(ActionEvent e) 
      { 
	 panel.setBackground(Color.blue); 
      }
   }
   
   public TestMenu1()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Menu 1");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setJMenuBar(menuBar);
      setSize(400,200);
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestMenu1(); }
}


