import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;


class TestMenu3 extends JFrame
{  
   String prefix = "images/billesCouleurs/";
     
   Action actionJaune 
      = new ActionCouleur("Jaune",new ImageIcon(prefix+"yellowBall.gif"),Color.yellow,"pour changer le fond en jaune");
   Action actionRouge 
      = new ActionCouleur("Rouge",new ImageIcon(prefix+"redBall.gif"),Color.red,"pour changer le fond en rouge");
   Action actionBleu 
      = new ActionCouleur("Bleu",new ImageIcon(prefix+"blueBall.gif"),Color.blue,"pour changer le fond en bleu");
   Action actionRandom = new ActionRandom("Random");
   Action actionChooser = new ActionChooser("Chooser");
   Action actionExit = new ActionExit("Exit");

   JMenuBar menuBar = new MyMenuBar();
   Content content = new Content();
   

   void changerCouleurFond(Color c)
   {
      content.panel1.panel11.setBackground(c); 
      content.panel1.panel12.setBackground(c);
   }
      
   class ActionCouleur extends AbstractAction
   {
      ActionCouleur(String text, Icon icon, Color c, String tipText)
      {
	 super(text,icon);
	 putValue("Couleur",c);
	 putValue(Action.SHORT_DESCRIPTION,tipText); 
	 if (c == Color.yellow) putValue(Action.MNEMONIC_KEY,new Integer(KeyEvent.VK_J));
      }
      
      public void actionPerformed(ActionEvent e) 
      { 
	 changerCouleurFond((Color)getValue("Couleur"));
      }
   }
   
   
   class ActionRandom extends AbstractAction
   {
      Random r = new Random();

      ActionRandom(String text)
      {
	 super(text);
      }
      
      public void actionPerformed(ActionEvent e) 
      { 
	 changerCouleurFond(new Color(r.nextInt(256),r.nextInt(256),r.nextInt(256)));
      }
   }


   class ActionChooser extends AbstractAction
   {
      ActionChooser(String text)
      {
	 super(text);
      }
      
      public void actionPerformed(ActionEvent e) 
      { 
	 changerCouleurFond(JColorChooser.showDialog(TestMenu3.this,"Choissisez une couleur",Color.white));
      }
   }


   class ActionExit extends AbstractAction
   {
      ActionExit(String text)
      {
	 super(text);
      }
      
      public void actionPerformed(ActionEvent e) 
      { 
	 System.exit(1);
      }
   }

 
    
   class MyMenuBar extends JMenuBar
   {
      MyMenuBar()
      {
	 JMenu couleur = new JMenu("Couleur");
	 JMenu about = new JMenu("About");
	 couleur.add(actionJaune);
	 couleur.add(actionRouge);
	 couleur.add(actionBleu);
	 couleur.addSeparator();
	 couleur.add(actionChooser); 
	 couleur.add(actionRandom); 
	 couleur.addSeparator();
	 couleur.add(actionExit);
	 add(couleur);	
	 add(about);
      }
   }
   
   
   class Content extends JPanel
   {
      JToolBar toolBar = new MyToolBar();
      Panel1 panel1 = new Panel1();
      
      class MyToolBar extends JToolBar
      {
	 MyToolBar()
	 {
	    add(actionRouge);
	    add(actionJaune);
	    add(actionBleu);
	    addSeparator();
	    add(actionChooser);  
	    add(actionRandom);
	    
	 }
      }

      class Panel1 extends JPanel
      {
	 JPanel panel11 = new Panel11();
	 JPanel panel12 = new Panel12();

	 class Panel11 extends JPanel
	 {
	    Panel11()
	    {
	       add(new JButton(actionJaune));
	       add(new JButton(actionRouge));
	       add(new JButton(actionBleu));
	    }
	 }

	 class Panel12 extends JPanel
	 {
	    Panel12()
	    {
	       add(new JButton(actionChooser));
	       add(new JButton(actionRandom));
	    }
	 }

	 Panel1()
	 {
	    setLayout(new GridLayout(2,1));
	    add(panel11);
	    add(panel12);
	 }
      }

      Content()
      {
	 setLayout(new BorderLayout());
	 add(toolBar,BorderLayout.NORTH);
	 add(panel1,BorderLayout.CENTER);
      }
   }


   public TestMenu3()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Menu 3");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(content);
      setJMenuBar(menuBar);
      setSize(400,200);
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestMenu3(); }
}


