import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class TestRadioButtons extends JFrame
{
   MyPanel panel = new MyPanel();
   
   class MyPanel extends JPanel
   {
      JLabel picture = new JLabel(new ImageIcon("images/animals/Bird.gif"));
      RadioPanel radioPanel = new RadioPanel();
            
      class RadioPanel extends JPanel 
      {
	 JRadioButton birdButton = new JRadioButton("Bird");
	 JRadioButton catButton = new JRadioButton("Cat");    
	 JRadioButton dogButton = new JRadioButton("Dog");
	 JRadioButton rabbitButton = new JRadioButton("Rabbit");
	 JRadioButton pigButton = new JRadioButton("Pig");
	 ButtonGroup group = new ButtonGroup();

	 RadioListener myListener = new RadioListener();

	 class RadioListener implements ActionListener 
	 { 
	    public void actionPerformed(ActionEvent e) 
	    {
	       String text = ((JRadioButton)e.getSource()).getText();
	       picture.setIcon(new ImageIcon("images/animals/" + text + ".gif"));
	    }
	 }

	 RadioPanel() 
	 {
	    birdButton.addActionListener(myListener);
	    catButton.addActionListener(myListener);
	    dogButton.addActionListener(myListener);
	    rabbitButton.addActionListener(myListener);
	    pigButton.addActionListener(myListener);
	    
	    group.add(birdButton);
	    group.add(catButton);
	    group.add(dogButton);
	    group.add(rabbitButton);
	    group.add(pigButton);
	    birdButton.setSelected(true);

	    setLayout(new GridLayout(0, 1));
	    add(birdButton);
	    add(catButton);
	    add(dogButton);
	    add(rabbitButton);
	    add(pigButton);
	 }
      }

      
      MyPanel()
      {
	 setLayout(new BorderLayout());
	 add(radioPanel, BorderLayout.WEST);
	 picture.setPreferredSize(new Dimension(200, 150));
	 add(picture, BorderLayout.CENTER);
	 setBorder(BorderFactory.createEmptyBorder(20,20,20,20));
      }
   }


   public TestRadioButtons()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test radio Buttons");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      pack();
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestRadioButtons(); }
}



