import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestSizesAndAlignments
{
   static String getAlignmentXName(float alignment)
   {
      if (alignment == JComponent.LEFT_ALIGNMENT) return "left";
      if (alignment == JComponent.RIGHT_ALIGNMENT) return "right";
      return "center";
   }

   static String getAlignmentYName(float alignment)
   {
      if (alignment == JComponent.BOTTOM_ALIGNMENT) return "bottom";
      if (alignment == JComponent.TOP_ALIGNMENT) return "top";
      return "center";
   }


   static void displayAlignments(JComponent component)
   {
      System.out.println(" alignement X = " + getAlignmentXName(component.getAlignmentX()));
      System.out.println(" alignement Y = " + getAlignmentYName(component.getAlignmentY()));
   }

   static void displaySizes(JComponent component)
   {
      System.out.println(component.getClass().getName());
      System.out.println(" minimum size = " + component.getMinimumSize());
      System.out.println(" preferred size = " + component.getPreferredSize());
      System.out.println(" maximum size = " + component.getMaximumSize());
   }
      
   static void displayProperties(JComponent component)
   {
      displaySizes(component);
      displayAlignments(component);
   }

   static void main(String[] args) 
   { 
      displayProperties(new JLabel("coucou"));
      displayProperties(new JButton("bouton"));
      displayProperties(new JTextField(30));
   }
}

