import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;



class TestSlider extends JFrame
{
   MyPanel panel = new MyPanel();
   
   class MyPanel extends JPanel
   {
      private JSlider diametre = new JSlider(SwingConstants.HORIZONTAL,0, 200, 10 );
      private PanneauOvale monPanneau  = new PanneauOvale();


      class PanneauOvale extends JPanel 
      {
	 private int diametre = 10;

	 public void setDiametre( int d )
	 {
	    diametre = ( d >= 0 ? d : 10 );  // diamtre par dfaut 10.
	    repaint();
	 }

	 public void paintComponent( Graphics g )
	 {
	    super.paintComponent( g );
	    g.fillOval( 10, 10, diametre, diametre );
	 }
      }

 
      MyPanel()
      {
	 diametre.setMajorTickSpacing(10);
	 diametre.setPaintTicks(true);
	 diametre.addChangeListener(new ChangeListener() 
	    {
	       public void stateChanged( ChangeEvent e )
	       {
		  monPanneau.setDiametre( diametre.getValue() );
	       }
	    });
	 
	 monPanneau.setBackground( Color.yellow );
	 
	 setLayout(new BorderLayout());
	 add( diametre, BorderLayout.SOUTH );
	 add( monPanneau, BorderLayout.CENTER );
      }

   }
      
   public TestSlider()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Slider");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setSize(400,400); //pack();
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestSlider(); }
}





