import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;
import java.io.*;


class TestSplitPane1 extends JFrame
{
   MyPanel panel = new MyPanel();
   
   class MyPanel extends JPanel
   {
      private String directoryName = "images/tumble/";
      private Vector imageNames = getImageNames();
     
      private JList list; 
      private JLabel picture;
      private JSplitPane splitPane;
   
      private Vector getImageNames()
      {
	 Vector v = new Vector();
	 File dir = new File(directoryName);
	 if (!dir.exists() || !dir.isDirectory()) System.exit(1);
	 String[] dirList = dir.list();
	 for(int i=0; i<dirList.length; i++) 
	 {
	    if (dirList[i].endsWith("gif") || dirList[i].endsWith("jpg"))
	       v.add(dirList[i]);
	 }
	 return v;
      }
	

      MyPanel()
      {
	 list = new JList(imageNames);
	 list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
	 list.setSelectedIndex(0);
	 list.addListSelectionListener(new ListSelectionListener() 
	    {
	       public void valueChanged(ListSelectionEvent e) 
	       {
		  int index = list.getSelectedIndex();
		  picture.setIcon(new ImageIcon(directoryName + (String)imageNames.elementAt(index)));
	       }
	    });

	 picture = new JLabel(new ImageIcon(directoryName + (String)imageNames.elementAt(0)));

	 JScrollPane listScrollPane = new JScrollPane(list);
      	 JScrollPane pictureScrollPane = new JScrollPane(picture);

	 splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,listScrollPane, pictureScrollPane);
	 splitPane.setOneTouchExpandable(true);
	 splitPane.setDividerLocation(150);
	 splitPane.setPreferredSize(new Dimension(400, 200));
	 add(splitPane);
      }
   }

       
   public TestSplitPane1()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Split Pane");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      //setSize(400,200); //
      pack();
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestSplitPane1(); }
}

  
