import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestTabbedPane extends JFrame
{
   MyPanel panel = new MyPanel();
   
   class MyPanel extends JPanel
   {
     
      JTabbedPane tabbedPane = new JTabbedPane();

      private JPanel makeTextPanel(String text) 
      {
	 JPanel panel = new JPanel();
	 JLabel filler = new JLabel(text);
	 filler.setHorizontalAlignment(JLabel.CENTER);
	 panel.setLayout(new GridLayout(1, 1));
	 panel.add(filler);
	 return panel;
      }

      MyPanel()
      {
	 ImageIcon icon = new ImageIcon("images/middle.gif");
	  
	 tabbedPane.addTab("One", icon, makeTextPanel("Blah"), "Does nothing");
	 tabbedPane.addTab("Two", icon,  makeTextPanel("Blah blah"), "Does twice as much nothing");
	 tabbedPane.addTab("Three", icon,  makeTextPanel("Blah blah blah"), "Still does nothing");
	 tabbedPane.addTab("Four", icon,  makeTextPanel("Blah blah blah blah"), "Does nothing at all");
	 tabbedPane.setSelectedIndex(0);

	 setLayout(new GridLayout(1, 1)); 
	 add(tabbedPane);
      }
   }
   

   public TestTabbedPane()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Tabbed Pane");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      //pack();
      setSize(400,200);
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestTabbedPane(); }
}
